﻿using CodeManager.Service;
using CodeManager.ViewModel;
using MahApps.Metro.Controls.Dialogs;

namespace CodeManager.Views
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        private readonly ISnippetService _service;

        public MainWindow(ISnippetService service)
        {
            InitializeComponent();

            _service = service;

            DataContext = new MainWindowViewModel(_service, DialogCoordinator.Instance);
        }
    }
}
